Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class PropertyGridPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.Container
                          com.gwtext.client.widgets.Panel
                              com.gwtext.client.widgets.grid.GridPanel
                                  com.gwtext.client.widgets.grid.EditorGridPanel
                                      com.gwtext.client.widgets.grid.PropertyGridPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasWidgets, Observable, java.lang.Iterable

    public class PropertyGridPanel

extends EditorGridPanel

A specialized grid implementation intended to mimic the traditional property grid as typically seen in development IDEs. Each row in the grid represents a property of some object, and the data is stored as a set of name/value pairs

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`PropertyGridPanel()` Create a new PropertGridPanel.
`PropertyGridPanel(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`void` | `addPropertyGridPanelListener(PropertyGridPanelListener listener)` Add a PropertGridPanel listener.
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject configJS)`
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`boolean` | `isSorted()` True to render with properties initially sorted.
`void` | `setCustomEditors(java.util.Map customEditors)` An object containing name/value pairs of custom editor type definitions that allow the grid to support additional types of editable fields.
`void` | `setNameText(java.lang.String nameText)` The value of the property name text.
`void` | `setSorted(boolean sorted)` True to render with properties initially sorted.
`void` | `setSource(java.util.Map source)` Sets the source data object containing the property data.
`void` | `setSource(NameValuePair[] source)` Sets the source data object containing the property data.

Methods inherited from class com.gwtext.client.widgets.grid.EditorGridPanel
`addEditorGridListener, getCellSelectionModel, getConfigPrototype, setAutoEncode, setClicksToEdit, startEditing, stopEditing`

Methods inherited from class com.gwtext.client.widgets.grid.GridPanel
`addGridCellListener, addGridColumnListener, addGridHeaderListener, addGridListener, addGridMouseListener, addGridRowListener, clearSortState, getColumnModel, getDragDropText, getSelectionModel, getSelectionModelAsJavaScriptObject, getStore, getView, hideColumn, hideColumn, hideColumnHeader, initComponent, reconfigure, render, setAutoExpandColumn, setAutoExpandColumn, setAutoExpandMax, setAutoExpandMin, setAutoHeight, setColumnModel, setDdGroup, setDisableSelection, setDragDropText, setEnableColumnHide, setEnableColumnMove, setEnableColumnResize, setEnableDragDrop, setEnableHdMenu, setHideColumnHeader, setLoadMask, setLoadMask, setLoadMask, setMaxRowsToMeasure, setMinColumnWidth, setMonitorWindowResize, setSelectionModel, setStore, setStripeRows, setTrackMouseOver, setView, showColumn, showColumn, stripeRows`

Methods inherited from class com.gwtext.client.widgets.Panel
`addButton, addListener, addTool, collapse, collapse, expand, expand, getBaseCls, getBody, getBodyStyle, getBodyWrap, getBottomToolbar, getCollapsedCls, getCollapseFirst, getFloating, getFooter, getFrameHeight, getFrameWidth, getHeader, getHtml, getIconCls, getInnerHeight, getInnerWidth, getMinButtonWidth, getShadowOffset, getTabCls, getTitle, getTopToolbar, getUpdateManager, isAnimCollapse, isAutoScroll, isBodyBorder, isBorder, isClosable, isCollapsed, isCollapsible, isFrame, isHeader, isHeaderAsText, isHideCollapseTool, isMaskDisabled, isShadow, isShim, isTitleCollapse, load, load, setAnimCollapse, setAutoLoad, setAutoLoad, setAutoScroll, setBaseCls, setBodyBorder, setBodyStyle, setBorder, setBottomToolbar, setBottomToolbar, setBottomToolbar, setButtonAlign, setButtons, setClosable, setCollapsed, setCollapsedCls, setCollapseFirst, setCollapsible, setContentEl, setDraggable, setFloating, setFooter, setFrame, setHeader, setHeaderAsText, setHideCollapseTool, setHtml, setIconCls, setMargins, setMargins, setMaskDisabled, setMinButtonWidth, setPaddings, setPaddings, setShadow, setShadow, setShadowOffset, setShim, setTabCls, setTitle, setTitle, setTitleCollapse, setTools, setTopToolbar, setTopToolbar, setTopToolbar, toggleCollapse, toggleCollapse`

Methods inherited from class com.gwtext.client.widgets.Container
`add, add, add, add, addListener, bubble, cascade, clear, doLayout, doLayout, findBy, findByID, findByType, getActiveItem, getActiveItemID, getAutoDestroy, getBufferResize, getComponent, getComponent, getComponents, getHideBorders, getItems, getLayout, getMonitorResize, insert, iterator, remove, remove, remove, remove, removeAll, removeAll, setActiveItem, setActiveItemID, setAutoDestroy, setBufferResize, setDefaults, setHideBorders, setLayout, setMonitorResize`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getXTypes, hashCode, hide, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, show, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyGridPanel

    public PropertyGridPanel()

  Create a new PropertGridPanel.

### PropertyGridPanel

    public PropertyGridPanel(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `EditorGridPanel`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject configJS)

  Overrides:
    `create` in class `EditorGridPanel`

### addPropertyGridPanelListener

    public void addPropertyGridPanelListener(PropertyGridPanelListener listener)

  Add a PropertGridPanel listener.

  Parameters:
    `listener` - the listener.

### setSource

    public void setSource(NameValuePair[] source)

  Sets the source data object containing the property data. The data object can contain one or more name/value pairs representing all of the properties of an object to display in the grid, and this data will automatically be loaded into the grid's store. If the grid already contains data, this method will replace any existing data.

  Parameters:
    `source` - the data source

### setSource

    public void setSource(java.util.Map source)

  Sets the source data object containing the property data. The data object can contain one or more name/value pairs representing all of the properties of an object to display in the grid, and this data will automatically be loaded into the grid's store. If the grid already contains data, this method will replace any existing data.

  Parameters:
    `source` - the data source

### setNameText

    public void setNameText(java.lang.String nameText)
                     throws java.lang.IllegalStateException

  The value of the property name text.

  Parameters:
    `nameText` - the property name text
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isSorted

    public boolean isSorted()

  True to render with properties initially sorted.

  Returns:
    true to render with properties initially sorted.

### setSorted

    public void setSorted(boolean sorted)

  True to render with properties initially sorted. Defaults to false.

  Parameters:
    `sorted` - true to render with properties initially sorted.

### setCustomEditors

    public void setCustomEditors(java.util.Map customEditors)

  An object containing name/value pairs of custom editor type definitions that allow the grid to support additional types of editable fields. By default, the grid supports strongly-typed editing of strings, dates, numbers and booleans using built-in form editors, but any custom type can be supported and associated with a custom input control by specifying a custom editor. The name of the editor type should correspond with the name of the property that will use the editor.

       PropertyGridPanel grid = new PropertyGridPanel();
       Map source = new HashMap();
       source.put("Edit Time", "10:00 AM");
       Map customEditors = new HashMap();
       GridEditor timeEditor = new GridEditor(new TimeField());
       customEditors.put("Edit Time", timeEditor);
       grid.setCustomEditors(customEditors);

  Parameters:
    `customEditors` - custom editors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD